# Duplicate Field API

| **Duplicate field**                                                               |
| --------------------------------------------------------------------------------- |
| *\<duplicate name=”string” documentId=”id” relatedTo=”string” search=”boolean”/>* |

Duplicate is read-only field with the value of the related field.

#### Duplicate Field attributes

* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **documentId** — id, document id where field which should be duplicated is located, mandatory attribute.
* **relatedTo** — string, name of the field to which duplicate will be connected, mandatory attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/duplicate-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
